## python-loompy 3.0.7+dfsg

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = loompy
SOURCEDIR     = .
BUILDDIR      = ../built

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-loompy 3.0.6+dfsg

=== debian/changelog ===
python-loompy (3.0.6+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 07 Oct 2021 07:28:56 +0200

python-loompy (3.0.6+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * d/p/tests-open-loom-write-permissions.patch: Load loom
    file in h5py with write permissions
  * Add autopkgtest
  * Add python3-pytest to B-D (enables build time testing)
  * Bump debhelper-compat version to 13
  * Declare compliance with policy 4.5.1
  * d/salsa-ci.yml: Do not build on i386
  * d/copyright: Minor fix for file path
  * d/rules: Do not install test.loom

 -- Nilesh Patra <nilesh@debian.org>  Sat, 03 Jul 2021 21:45:55 +0530

python-loompy (3.0.6+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Make package Architecture dependent to exclude 32bit architectures
    where the tests are failing

 -- Andreas Tille <tille@debian.org>  Thu, 18 Feb 2021 21:03:37 +0100

python-loompy (3.0.6+dfsg-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Apr 2020 13:44:18 +0200

python-loompy (3.0.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Initial release (Closes: #934597)

 -- Andreas Tille <tille@debian.org>  Sun, 29 Mar 2020 11:39:05 +0200

=== debian/control ===
Source: python-loompy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-h5py <!nocheck>,
               python3-numba <!nocheck>,
               python3-click <!nocheck>,
               python3-scipy <!nocheck>,
               python3-numpy-groupies <!nocheck>,
               python3-pytest <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/python-loompy
Vcs-Git: https://salsa.debian.org/med-team/python-loompy.git
Homepage: https://github.com/linnarsson-lab/loompy
Rules-Requires-Root: no

Package: python3-loompy
Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-h5py,
         python3-numpy,
         python3-scipy,
         python3-pandas,
         python3-click,
         python3-numpy-groupies
Description: access loom formatted files for bioinformatics
 Loom is an efficient file format for very large omics datasets,
 consisting of a main matrix, optional additional layers, a variable
 number of row and column annotations. Loom also supports sparse
 graphs.  Loom files are used to store single-cell gene expression data:
 the main matrix contains the actual expression values (one column per
 cell, one row per gene); row and column annotations contain metadata
 for genes and cells, such as Name, Chromosome, Position (for genes),
 and Strain, Sex, Age (for cells).
 .
 Loom files (.loom) are created in the HDF5 file format, which supports
 an internal collection of numerical multidimensional datasets. HDF5
 is supported by many computer languages, including Java, MATLAB,
 Mathematica, Python, R, and Julia. .loom files are accessible from any
 language that supports HDF5.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/linnarsson-lab/loompy/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-loompy 3.0.7%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Testsuite: autopkgtest-pkg-python
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-h5py <!nocheck>,
@@ -14,14 +14,14 @@
                python3-scipy <!nocheck>,
                python3-numpy-groupies <!nocheck>,
                python3-pytest <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-loompy
 Vcs-Git: https://salsa.debian.org/med-team/python-loompy.git
 Homepage: https://github.com/linnarsson-lab/loompy
 Rules-Requires-Root: no
 
 Package: python3-loompy
-Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
+Architecture: any-amd64 arm64 loong64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
 Section: python
 Depends: ${python3:Depends},
          ${misc:Depends},

## python-loompy 3.0.7+dfsg

=== debian/changelog ===
python-loompy (3.0.7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Adapt to numpy 1.24
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2023 08:54:23 +0100

python-loompy (3.0.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jul 2022 16:10:21 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Testsuite: autopkgtest-pkg-python
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
+               dh-python,
                python3-all,
                python3-setuptools,
                python3-h5py <!nocheck>,
@@ -14,14 +14,14 @@
                python3-scipy <!nocheck>,
                python3-numpy-groupies <!nocheck>,
                python3-pytest <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-loompy
 Vcs-Git: https://salsa.debian.org/med-team/python-loompy.git
 Homepage: https://github.com/linnarsson-lab/loompy
 Rules-Requires-Root: no
 
 Package: python3-loompy
-Architecture: any-amd64 arm64 loong64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
+Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
 Section: python
 Depends: ${python3:Depends},
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=loompy

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_install:
	find debian/ -type f -name test.loom -delete

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/linnarsson-lab/loompy/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
